FENCE_SIGNAL(9)

NAME
fence_signal - signal completion of a fence

SYNOPSIS

int fence_signal(struct fence * fence);

ARGUMENTS

fence
    the fence to signal

DESCRIPTION

Signal completion for software callbacks on a fence, this will unblock fence_wait calls and run all the callbacks added with fence_add_callback. Can be called multiple times, but since a fence can only go from unsignaled to signaled state, it will only be effective the first time.

COPYRIGHT